%global _default_patch_fuzz 2
%define alphatag                        20250617

Name:           UEFITool
Version:        0.72
Release:        0.1.%{alphatag}git
Summary:        Tools to inspect and work on UEFI firmware
License:        BSD-2-Clause
URL:            https://github.com/LongSoft/UEFITool

Source0:        %{name}-%{alphatag}.tar.gz
#git archive HEAD --prefix UEFITool-20250617/ --output /home/hughsie/rpmbuild/SOURCES/UEFITool-20250617.tar.gz

BuildRequires:  meson
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
UEFITool is a C++/Qt program for parsing, extracting and
modifying UEFI firmware images. It supports parsing of full BIOS images
starting with the flash descriptor or any binary files containing UEFI
volumes.

%prep
%autosetup -p1 -n %{name}-%{alphatag}

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE.md
%doc README.md
%{_bindir}/UEFIExtract
%{_bindir}/UEFIFind

%changelog
%autochangelog
